{
  description = "Minimal process wrapper";

  inputs.nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";

  outputs = { self, nixpkgs }: let
    pkgs = import nixpkgs { system = "x86_64-linux"; };
  in {
    packages.x86_64-linux.parent = pkgs.buildGoModule {
      pname = "parent";
      version = "1.0";
      src = ./.;
      vendorSha256 = null;
    };

    defaultPackage.x86_64-linux = self.packages.x86_64-linux.parent;
  };
}
